Subject: Re: bug#72343: [PATCH] Fix eglot-server-programs for TeX modes

From: João Távora <[email-masked]>
Date: Wed, 7 Aug 2024 14:23:02 +0100

On Wed, Aug 7, 2024 at 7:33 AM Augusto Stoffel <[email-masked]> wrote:

> By the way, if Eglot relies on that for the multi-language-per-session
> feature, then such feature would be incompatible with an
> `eglot-server-program' variable (note the singular) that major modes can
> set independently as a buffer-local variable.

Yes, I think I mentioned this before. Depends on how you design the feature.
And you can't just defenestrate eglot-server-programs, you have to keep
backward compatibility to it.

> Wouldn't it make more sense to reuse a running server if a new one would
> be started at the same directory and with the same command line
> arguments?

The feature hasn't been designed so I don't understand the comparative
"more".  But yes, it could make a lot of sense.  But instead of "directory",
"project".  And instead of "command line arguments", "contact".

CCing Philip who proposed working on this.
João